org.deidentifier.arx.gui.view.impl.menu

## Class EditorCriterionTCloseness

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.menu.EditorCriterion<ModelTClosenessCriterion>
  - - org.deidentifier.arx.gui.view.impl.menu.EditorCriterionTCloseness

    public class EditorCriterionTCloseness
    extends EditorCriterion<ModelTClosenessCriterion>

Implements a view on a t-closeness criterion.

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`EditorCriterionTCloseness(org.eclipse.swt.widgets.Composite parent, ModelTClosenessCriterion model)` Creates a new instance.

### Method Summary

### Methods inherited from class org.deidentifier.arx.gui.view.impl.menu.EditorCriterion

`dispose, getModel, parseDefault`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EditorCriterionTCloseness

    public EditorCriterionTCloseness(org.eclipse.swt.widgets.Composite parent,
                                     ModelTClosenessCriterion model)

Creates a new instance.

Parameters:
  `parent` -
  `model` -